/* -*- ObjC -*- */
#ifndef __included_gui_mouse_h
#define __included_gui_mouse_h

#include "gui.h"

enum {
    GUI_MOUSE_LMB = 0,
    GUI_MOUSE_RMB = 1,
    GUI_MOUSE_MMB = 2
} mouse_buttons;

void gui_update_mouse(Widget<Container> *root, Widget **focus_object);
int gui_mouse_init(void);
void gui_mouse_shutdown(void);

#endif
